<?php /*
Template Name: Full Width */
$link = get_permalink($post->ID); 
$args  = array( 'postid' => $post->ID, 'width' => 940, 'hide_href' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '940' );
$image = get_obox_media( $args ); 
get_header(); 
?>
<div id="post-<?php the_ID(); ?> full-width" <?php post_class('clearfix'); ?>>
	<?php if (have_posts()) :
		while (have_posts()) : the_post(); setup_postdata($post);	
	?>
	<div class="post-content clearfix">
        <!--Show the Featured Image or Video -->
        <?php if( $image !="" ) : ?> 
            <div class="post-image">
                <?php echo $image; ?>
            </div>
        <?php endif; ?>
		<h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
        <div class="full-copy  copy<?php echo $image_class; ?> clearfix">
             <?php the_content(""); ?>
        </div>
    </div>
<?php endwhile;
		else :
			ocmx_no_posts();
		endif; ?> 
	<?php comments_template(); ?>
</div>
<?php get_footer(); ?>
