<?php 
$link = get_permalink( $post->ID );
$args  = array( 'postid' => $post->ID, 'width' => 620, 'hide_href' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '620' );
$image = get_obox_media( $args );    
?>
<li class="post">
	<!--Show the Featured Image or Video -->
    <?php if( $image !="" ) : ?> 
        <div class="post-image">
            <?php echo $image; ?>
        </div>
    <?php endif; ?>
    <!--Show the Meta -->
    <h5 class="date">
		<?php if( get_option( "ocmx_meta_date" ) != "false" ) { echo the_time( get_option('date_format') ); } ?> 
        <?php if( get_option("ocmx_meta_author") !="false") { _e(" Written by ", "ocmx"); the_author_posts_link(); }?>
    </h5>
    <!--Show the Title -->
    <h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
    <!--Get the Content -->
    <div class="copy clearfix">
        <?php the_excerpt(); ?>
        <p><a href="<?php echo $link; ?>" class="action-link"><?php _e("Continue Reading &rarr;", "ocmx"); ?></a></p>
    </div>    
</li>                        
