<?php
global $post, $layout;
$link = get_permalink($post->ID); 
if($layout == "one-column") :
	$resize = "700";
	$width = 700;
elseif($layout == "two-column") :
	$resize = "340x270";
	$width = 340;
	$height = 270;
else :
	$resize = "220x124";
	$width = 220;
	$height = 124;
endif;
 
$args  = array('postid' => $post->ID, 'width' => $width, 'height' => $height, 'hide_href' => false, 'exclude_video' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => $resize);
$image = get_obox_media($args);
?>

<li class="column">
	<?php if($image !="") : ?> 
    	<div class="portfolio-image fitvid"> 
    		 <?php echo $image; ?>
        </div>
    <?php endif; ?>
    
	<h4><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h4>
    
	<?php the_excerpt();?>
</li>		