<?php get_header(); ?>
<?php dynamic_sidebar(1); ?>
<?php if(get_option("ocmx_home_page_layout") == "widget") :
	if (function_exists('dynamic_sidebar') && is_active_sidebar(2)) : ?> 
	<div id="widget-block" class="clearfix">
		<ul class="widget-list">
			<?php dynamic_sidebar(2); ?>
		</ul>
	</div>
	<?php endif; 
else :
      if(get_option("ocmx_home_page_categories") && get_option("ocmx_home_page_categories") !== 0):
		$use_catid = get_option("ocmx_home_page_categories");
		$fetch_category = get_category_by_slug($use_catid);
		$use_category = "cat=".$fetch_category->term_id."&";
	else :
		$use_category = "";
	endif;
	if (is_paged()) :
		query_posts($use_category ."showposts=".get_option("ocmx_home_page_posts")."&paged=".get_query_var('paged'));
	elseif (is_home()) :
		query_posts($use_category."showposts=".get_option("ocmx_home_page_posts"));
	endif; ?>
	
	<ul class="double-cloumn clearfix">
    	<li id="left-column">
        	<ul class="blog-main-post-container">
            <?php if (have_posts()) : while (have_posts()) : the_post();    	        
                setup_postdata($post);
				$link = get_permalink($post->ID); 	
                $args  = array( 'postid' => $post->ID, 'width' => 620, 'hide_href' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '620' );
				$image = get_obox_media( $args );   ?>
				<li class="post">		
					<?php if( $image !="" ) : ?> 
                        <div class="post-image">
                            <?php echo $image; ?>
                        </div>
                    <?php endif; ?>
				   <!--Show the Meta -->
                    <h5 class="date">
                        <?php if( get_option( "ocmx_meta_date" ) != "false" ) { echo the_time( get_option('date_format') ); } ?> 
                        <?php if( get_option("ocmx_meta_author") !="false") { _e(" Written by ", "ocmx"); the_author_posts_link(); }?>
                    </h5>
				    <h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
				    <div class="copy clearfix">
				        <?php if($post->post_excerpt !== "") :
				            the_excerpt();
				        else :
				            the_content("");
				        endif; ?>
				        <p><a href="<?php echo $link; ?>" class="action-link"><?php _e("Continue Reading &rarr;", "ocmx"); ?></a></p>
				    </div>    
				</li>     
            <?php endwhile; ?>
	        <?php else: ?>
	            <div class="no-posts clearfix">
	                <h1><?php _e("No post found", "ocmx"); ?></h1>
	                <p><?php _e("Sorry, no posts matched your criteria.", "ocmx"); ?></p>
	            </div>
	        <?php endif; ?>  
            </ul>
            <?php motionpic_pagination("clearfix", "pagination clearfix"); ?>
        </li>
    	<?php get_sidebar(); ?>
	</ul>
	<?php endif; ?>
<?php get_footer(); ?>