<?php 
/* Template Name: Portfolio List */

// Fetch the Portfolio Categories
$cat_list = get_terms("portfolio-category", "orderby=count&hide_empty=0");
$parentpage = get_template_link("portfolio.php");
$layout = get_post_meta($post->ID, "layout", true);
if($layout == "one-column") :
	$nextul = 1;
elseif($layout == "two-column") :
	$nextul = 2;
else :
	$nextul = 3;
endif;
$i = 1;

query_posts("post_type=portfolio&showposts=-1");
get_header(); 
?>
<!--Show the Title -->
<h2 class="section-title"><?php the_title(); ?></h2>

<ul class="double-cloumn portfolio clearfix">    
    <li id="left-column">        
        <?php if ( $cat_list != "" ) : ?>
            <h4><?php _e("Categories", "ocmx"); ?></h4>
            <ul>
                <?php foreach($cat_list as $tax) :
                    $link = get_term_link($tax->slug, "portfolio-category");
                    echo "<li><a href=\"$link\">".$tax->name."</a></li>";
                endforeach; ?>
            </ul>
        <?php endif; ?>
    </li>
    <li id="right-column">
         <ul class="portfolio-list <?php echo $layout; ?>">
             <?php if (have_posts()) :
                while (have_posts()) :	the_post();
					if($i > $nextul)
						echo "\n\t</ul>\n\t<ul class=\"portfolio-list $layout\">"; $i = 1;		
                     get_template_part("/functions/portfolio-list");
					$i++;
                endwhile;
            else :
                ocmx_no_posts(); wp_reset_query();
            endif; ?>
		</ul>
    </li>    
</ul>
<?php get_footer(); ?>