<?php
	global $wpdb;
	if(file_exists("../../../wp-blog-header.php")) :
		require_once("../../../wp-blog-header.php");
	elseif(file_exists("../../../../wp-blog-header.php")) :
		require_once("../../../../wp-blog-header.php");
	endif;
	
	$gallery_id = $_GET['gallery'];
	$gallery_dtl = fetch_ocmx_gallery($gallery_id);

	$main_table = $wpdb->prefix . "ocmx_gallery";
	$sub_table  = $wpdb->prefix . "ocmx_gallery_dtl";
	$upload_dir = wp_upload_dir();
	get_header();
?>
<ul class="gallery_list" id="gallery">
	<?php if($gallery_dtl[0]->GalleryDescription !== "" || $gallery_dtl[0]->GalleryTitle !== "") : ?>
        <li class="gallery_description">
            <?php if($gallery_dtl[0]->GalleryTitle !== "") : ?>
                <h1 class="post-title"><?php echo $gallery_dtl[0]->GalleryTitle; ?></h1>
            <?php endif; ?>
            <?php if($gallery_dtl[0]->GalleryDescription !== "")  : ?>
                <p><?php echo $gallery_dtl[0]->GalleryDescription; ?></p>
            <?php endif; ?>
        </li>
	<?php
			$rowcnt = 3;
		else :
			$rowcnt = 1;
		endif;
			foreach($gallery_dtl as $gallery_list) :
                $large_image = $upload_dir["baseurl"]."/ocmx-gallery/large/".$gallery_list->Image;
                $this_image = $upload_dir["baseurl"]."/ocmx-gallery/small/".$gallery_list->Image; ?>
				<li class="gallery_image <?php if($rowcnt == 5) : ?>image-right<?php endif; ?>">
                    <a href="<?php echo  $large_image; ?>" title="<?php echo $gallery_list->Item; ?>" rel="lightbox">
                        <img src="<?php echo $this_image; ?>" class="thumbnail" border="0" alt="<?php echo $gallery_list->Item; ?>" />
                        <span class="gallery-image-overlay">
                           <?php if($gallery_list->Item !== null) : ?>
                               <span class="gallery_name">
                                    <span class="gallery-date">
                                        <?php echo $gallery_list->ImageDate; ?>
                                    </span>
                                    <?php
                                        echo $gallery_list->Item;
                                        if($gallery_list->Description !== "NULL" && $gallery_list->Description !== "") :
											echo " - ".substr($gallery_list->Description, 0, 65);
											if(strlen($gallery_list->Description) > 65)
												echo "...";
                                        endif;
                                    ?>
                                </span>
                           <?php endif; ?>                     
                       </span>  
                    </a>
                </li>
            <?php 
                $count++;
			if($rowcnt == 5) :
				$rowcnt = 1;
			else :
				$rowcnt++;
			endif;
		endforeach; 
	?>
</ul>

<!-- FOOTER HERE -->
<?php get_footer(); ?>